Loading...
Searching...
No Matches
Geometry Class Reference

`#include <pcl/outofcore/visualization/geometry.h>`

Inheritance diagram for Geometry:

## Public Member Functions

| ~Geometry () override=default
virtual vtkSmartPointer< vtkActor > | getActor () const
Public Member Functions inherited from Object
| Object (std::string name)
virtual | ~Object ()=default
std::string | getName () const
void | setName (std::string name)
virtual void | render (vtkRenderer *renderer)
bool | hasActor (vtkActor *actor)
void | addActor (vtkActor *actor)
void | removeActor (vtkActor *actor)
vtkSmartPointer< vtkActorCollection > | getActors ()

## Protected Member Functions

| Geometry (std::string name)

## Additional Inherited Members

Protected Attributes inherited from Object
vtkSmartPointer< vtkActorCollection > | actors_
std::mutex | actors_mutex_

## Detailed Description

Definition at line 13 of file geometry.h.

## Constructor & Destructor Documentation

## Geometry()

Geometry::Geometry | ( | std::string | name | ) |

inline protected

Definition at line 19 of file geometry.h.

## ~Geometry()

Geometry::~Geometry | ( |  | ) |

override default

## Member Function Documentation

## getActor()

virtual vtkSmartPointer< vtkActor > Geometry::getActor | ( |  | ) | const

inline virtual

Definition at line 34 of file geometry.h.

The documentation for this class was generated from the following file:

- pcl/outofcore/visualization/geometry.h